Bug 83716 - IPSec unable to start
IPSec unable to start
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-07 10:03 EST by Dave Sherman
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-05 20:48:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Sherman 2003-02-07 10:03:42 EST
Description of problem:
IPSec appears to be either missing or disabled in the latest kernel update
(2.4.18-24.8.0). I can no longer create a VPN tunnel to my office, as the ipsec
service is unable to start.

Version-Release number of selected component (if applicable):
2.4.18-24.8.0

How reproducible:
[root@dedannshae root] # service ipsec start
ipsec_setup: Starting FreeS/WAN IPsec 1.99...
ipsec_setup: insmod: ipsec: no module by that name found
ipsec_setup: modprobe: Can't locate module ipsec
ipsec_setup: kernel appears to lack KLIPS
ipsec_setup: OOPS, should have aborted!  Broken shell!

If I boot into the previous kernel, ipsec start fine and I have my VPN working.

Steps to Reproduce:
1. See above.
2.
3.
    
Actual results:
See terminal output above.

Expected results:
Standard IPSec startup messages and VPN functionality.

Additional info:
Comment 1 Arjan van de Ven 2003-02-07 10:21:21 EST
Red Hat Linux kernels haven't ever included IPSec support.
We're looking at it for a future release, however past kernels have never
included it. 
Comment 2 Dave Sherman 2003-02-07 10:26:54 EST
OK, then apparently the latest kernel broke the freeswan kernel module. My
freeswan version is:
freeswan-module-1.99_2.4.18_19.8.0-0
freeswan-1.99_2.4.18_19.8.0-0

Can this bug be moved over to the kernel module maintainer, or whoever takes
care of this?
Comment 3 Arjan van de Ven 2003-02-07 10:29:59 EST
we don't ship those freeswan modules...
You need to recompile them for the latest kernel to work. if you have a .src.rpm
somewhere of them you can do that by rpmbuild --rebuild --target i686 <foo>.src.rpm
Comment 4 Dave Sherman 2003-02-07 10:34:22 EST
Ah. OK, thanks for the help. I'll check freeswan.org first, as I originally got
binary rpms from there (I think - I had thought they came with RH 8.0, but
apparently not :-) ).
Comment 5 Bill Nottingham 2003-06-05 20:48:11 EDT
Closing, not a RH bug.

Note You need to log in before you can comment on or make changes to this bug.